/*
 * *******************************************************************************************
 *  * Created By Debojyoti Singha
 *  * Copyright (c) 2022.
 *  * Licensed under the Apache License, Version 2.0 (the "License");
 *  * you may not use this file except in compliance with the License.
 *  * You may obtain a copy of the License at
 *  * http://www.apache.org/licenses/LICENSE-2.0
 *  * Unless required by applicable law or agreed to in writing, software
 *  * distributed under the License is distributed on an "AS IS" BASIS,
 *  * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  * See the License for the specific language governing permissions and
 *  * limitations under the License.
 *  * Contact Email: swingtechnologies452@gmail.com
 * ******************************************************************************************
 */

library dex_widgets;

import 'package:dex_widgets/src/utils/dx_resizer_utils.dart';
import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:logger/logger.dart';

part 'src/builder/dx_material_app.dart';
part 'src/builder/dx_widget_builder.dart';
part 'src/extension/dx_margin.dart';
part 'src/extension/dx_resizer_unit_ext.dart';
part 'src/view/dx_container.dart';
part 'src/view/dx_sizedbox.dart';
part 'src/view/dx_text.dart';
